import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取师傅列表
export function principalList(data) {
  return request({
    url: `/principal/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function principalListExport(data, name) {
  return postBlob({
    url: '/principal/list/export',
    data,
    name
  })
}

export function principalAdd(data) {
  return request({
    url: '/principal/add',
    method: 'post',
    data: data
  })
}

export function principalUpdate(data) {
  return request({
    url: '/principal/update',
    method: 'post',
    data: data
  })
}

export function principalDetail(params) {
  return request({
    url: '/principal/detail',
    method: 'post',
    params: params
  })
}
